﻿@media (min-width: 992px) {
    body:not(.loaded) .aside {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        z-index: 98;
        background-color: var(--bs-aside-bg-color);
    }


    body:not([data-kt-aside-minimize="on"]):not(.loaded) .wrapper {
        padding-left: 200px !important;
    }

    .header-fixed[data-kt-sticky-header=on] .wrapper {
        padding-top: 65px;
    }

    body.aside-fixed.aside-secondary-enabled:not([data-kt-sticky-header=on]) div#kt_header div#kt_header_container.header-bar::after {
        display: block;
        position: absolute;
        width: calc(100% - 60px);
        height: 1.4px;
        background: var(--bs-gray-200);
        content: '';
        bottom: 0;
        left: 30px;
    }

    .header {
        height: 65px;
    }

    body.themed-bg.aside-fixed.aside-secondary-enabled:not([data-kt-sticky-header=on]) div#kt_header div#kt_header_container.header-bar::after {
        background: var(--bs-body-bg);
    }
}

@media (max-width: 767px) {
    .breadcrumb-item.breadcrumb-compress:not(:last-child):not(:nth-last-child(2)) {
        display: none;
    }

    .breadcrumb-item.breadcrumb-compress:not(:last-child) .breadcrumb-ellipsis {
        display: flex;
    }

    .breadcrumb-item.breadcrumb-compress:not(:last-child) .breadcrumb-text {
        display: none;
    }
}

.layout-2 div#kt_header[data-kt-sticky-enabled="true"] {
    display: flex;
}

.layout-2 div#kt_header:not([data-kt-sticky-enabled="true"]) {
    display: none;
}

.header-tablet-and-mobile-fixed[data-kt-sticky-header=on] .layout-2 div#kt_banner {
    z-index: 0 !important;
}

#kt_page_title .breadcrumb {
    padding: 0.25rem 0.5rem;
    background: var(--bs-body-bg);
    border-radius: 0.65rem;
}

#kt_aside .btn.btn-outline[class*="btn-outline-"] {
    background-color: var(--bs-aside-bg-color);
}

.aside-fixed.aside-secondary-enabled[data-kt-sticky-header=on] div#kt_header {
    border-bottom: solid 1.4px var(--bs-gray-200)
}

@media (min-width: 992px) {
    .aside-fixed.aside-secondary-enabled[data-kt-sticky-header=on] #kt_banner.header {
        left: 80px !important;
    }

    .aside-fixed.aside-secondary-enabled[data-kt-sticky-header=on] .header {
        left: 200px;
    }

    .aside-fixed.aside-secondary-enabled[data-kt-sticky-header=on][data-kt-aside-minimize=on] .header {
        left: 80px;
    }

    .aside .aside-primary, .aside-secondary-enabled .aside {
        width: 200px;
        transition: width 0.3s ease;
        background-color: var(--bs-aside-bg-color);
    }

    [data-kt-aside-minimize=on].aside-secondary-enabled .aside, [data-kt-aside-minimize=on] .aside, [data-kt-aside-minimize=on] .aside .aside-primary {
        width: 80px;
        transition: width 0.3s ease;
        background-color: var(--bs-aside-bg-color);
    }

    .aside {
        border: none !important;
    }

        .aside .aside-primary {
            border-right: var(--bs-aside-border) !important;
        }

    .aside-secondary-enabled.aside-fixed .wrapper {
        padding-left: 200px;
    }

    [data-kt-aside-minimize=on].aside-secondary-enabled.aside-fixed .wrapper {
        padding-left: 80px;
    }

    body .aside .d-closed-none {
        white-space: nowrap;
        opacity: 1;
        transition: opacity 0.2s ease;
        transition-delay: 0.3s;
        pointer-events: none;
    }

    body[data-kt-aside-minimize=on] .d-closed-none {
        opacity: 0;
        transition: 0.2s ease;
    }

    body[data-kt-aside-minimize=on] .aside .menu.closed-center .menu-item, body[data-kt-aside-minimize=on] .aside .menu.closed-center > .btn {
        width: 100%;
        /* min-width: 46.36px;
         */
    }

    .aside .menu.closed-center .menu-item .menu-link {
        padding: 10px;
        min-width: 46.36px;
    }

    body[data-kt-aside-minimize=on] .aside .menu.closed-center .menu-item .menu-link {
        width: 100%;
        height: 100%;
        min-width: 46.36px;
    }

    body[data-kt-aside-minimize=on] .create-button {
        min-width: 46.36px;
        width: 100%;
    }

    .aside .menu.closed-center .menu-icon, .aside .menu.closed-center .btn i, .aside .menu.closed-center .menu-item .symbol {
        margin: unset !important;
        padding: unset !important;
    }

    .aside .closed-center .menu-text {
        margin-left: 2.25rem;
        position: absolute;
        pointer-events: none;
    }

    .aside-fixed.aside-secondary-enabled[data-kt-sticky-header=on] .header.layout-2 {
        position: relative !important;
        left: unset !important;
        top: unset !important;
        z-index: inherit !important;
    }
}

.aside-toggle-wrapper {
    min-width: 35.36px;
}

    .aside-toggle-wrapper::before, .aside-toggle-wrapper::after {
        content: '';
        width: 100%;
        height: 1px;
        display: flex;
        transition: width 0.2s ease;
    }

body:not([data-kt-aside-minimize="on"]) .aside-toggle-wrapper::after {
    width: 0%;
    transition: width 0.2s ease;
}

@media (max-width: 991px) {
    body[data-kt-aside-minimize="on"] .aside-toggle-wrapper::after {
        width: 0% !important;
    }

    #account_menu.show.menu-dropdown::before, #quick_actions_menu.show.menu-dropdown::before {
        pointer-events: none;
    }

    .aside:has(#account_menu.show), .aside:has(#quick_actions_menu.show) {
        pointer-events: none;
    }
}

body[data-kt-aside-minimize="on"] .text-clamp.clamp-collapse {
    -webkit-line-clamp: 1 !important;
    transition: opacity 0s ease !important;
}

@media (max-width: 991.98px) {
    .aside .aside-primary {
        width: 300px;
    }
}

.aside .menu.closed-center .menu-item .menu-link {
    position: relative;
    width: 100%;
    height: 100%;
}

.aside .menu.closed-center .menu-item {
    height: 46.36px;
    padding: 0rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.aside {
    box-shadow: none;
    --bs-aside-border: 1.5px solid var(--bs-gray-200);
}

.aside-logo:hover .symbol-circle.bg-gray-200:not(.active) {
    background-color: var(--bs-primary-50) !important;
}

@keyframes nav-fadein {
    0% {
        opacity: 0;
        display: none;
    }

    100% {
        opacity: 1;
        display: block;
    }
}
